# LA BathBuilder Sheets With Talespire Rolls (Symbiote)

This symbiote allows display of Path Finder characters sheets using BathBuilder website. It allows character viewing, editing and
rolling from the character sheets within Talespire.

## Install

Use R2ModMan to download the Symbiote from Thunderstore
Use the Symbiote Manager Plugin (at runtime) to enable the downloaded Symbiote*

\* Note: If you prefer to not use the Symbiote Manager Plugin you can copy the Symbiote folder from the downloaded Symbiote content (found
in the plugins install folder) to your Talespire Symbiote folder and then rename the Symbiote folder to a meaningful name.

## Usage

After the Symbiote has been enabled (either manually or via Symbiote Manager Plugin) it will be available in the Symbiote side tray.
When activated it will display the BathBuilder website.

1. Create a new character and save it or open an existing character
2. Click the "Click Here" label in the top right of the Symbiote to generate the Talespire roll links

### Rolling Skills Or Saves

To roll a skill or save, click the die icon in front of the skill or save name.

### Rolling Weapon Attacks

Do not use the "Roll" button. Instead mouse over the D20 icon that shows the primary attack bonus. This will show a dialog with three
attack options (Attack 1, Attack 2, and Attack 3) with their respective bonuses to attack. Click on one of the three attack options.
Currently this rolls both the attack and damage automatically.

### Rolling Spells

On the Spells tab, click the name of the spell to be rolled. This will open the spell information panel and roll any rolls associated
with the spell (typically attack and damage or just damage). Similar to weapon attacks all dice rolls are roll as one dice roll with
the totals being sub-totalled individually. By default the code to closethe spell information panel has been commented out so as to
allow the user to read the spell description. However, it can easily be uncommented out if the user prefers to have the infromation
panel close automatically.

### Rolling Pet (Companion) Attacks

Currently only Pet (Companion) attack are available (not saves). Roll in the same manner as weapon attacks but mousing over the D20
showing the primary attack bonus and selecting one of the three attacks from the attack options.

## Changelog
```
1.2.2: Initial release
```

## Credit

This Symbiote was paid for by KingSlump's bounty. 